Welcome Mavic Pilot!
Jump in and join our free DJI Mavic community today!
Sign up

Litchi on Epson BT-300

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
For me, yes....the 4.3 (beta as I recall) works with my Phantom 3 Pro....but NOT my Mavic 2 Pro.
I couldn't find where you posted what drone you have....
 

mattess

Member
Joined
Apr 14, 2017
Messages
18
Reaction score
2
Age
55
Hey there KSM (all)...I'm using the 4.3 Litchi version, and it works great with my P3P, but NOT my Mavic 2 pro....With the M2P, I get everything EXCEPT video feed....I can control the gimbal, the mapping works...but no video feed.

Have you got Litchi working with the Mavic 2, and Epson BT300's?..
I'm all up to date on firmware.
I'd be interested in getting Litchi going on the glasses, or suggestions to try
Thanks[/QUOTE
 

mattess

Member
Joined
Apr 14, 2017
Messages
18
Reaction score
2
Age
55
Same issue here with m2pro. No video but everything else fine with connection
 

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
Can anyone confirm that someone...ANYONE, has Litchi working with their M2P?
 
  • Like
Reactions: ajsinoga

audi2000

Active Member
Joined
Jun 24, 2018
Messages
25
Reaction score
7
Age
62
Location
Englewood FL
Can anyone confirm that someone...ANYONE, has Litchi working with their M2P?
No, and Litchi will not support any Moverio android device. They did refund my payment again. Would be great if DGI had an offline map in which we could program flights.
 

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
I have NOT found a way to get my BT300's, Mavic 2 Pro, and Litchi working together....quite frustrating, and the Moverio glasses just continue gather dust in the corner of the room....one of my top 5 in bad investments in my life....could have bought a lot of fun "stuff" that works with that loot!.....I thought I had done the homework.....shoulda waited!
 

Flycaster

Well-Known Member
Joined
Mar 17, 2017
Messages
831
Reaction score
421
Location
Moraga, CA
Is it possible you have a RC1B controller for your AC?
That model will not work at all with the Moverios.
The RC1A seems to be happy happy happy to work with the Moverios.
And as long as you have the actual .apk file for Litchi, stick that file on the external memory card and install it from there and you should be good to go...???
And I know some of you are working with the Smart Controller, but I would think it would be the same process for you guys as well...
 

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
Thanks Flycaster....I have the RC1A controller...I didn't even know there were 2 versions!
The apk is a beta version, that supposedly worked based on a previous post on this thread.
com-mod-litchi-for-dji-mavic-v4-3-0-b1866-beta-patched.1866.apk
 
Last edited:

Flycaster

Well-Known Member
Joined
Mar 17, 2017
Messages
831
Reaction score
421
Location
Moraga, CA
Right now my base Go4 app version is 4.0.4, real old and free off bloating as the versions were released.
I am playing with the NLD version of the Go4 app, and very happy with it, so far.
all on my LG tablet and Moverio's...

I stripped all out bloatware off the tablet and the Moverios after a device reset, and only have the Go4 app from DJI and NLD, on it and Netflix for when I'm on the plane.
 

Flycaster

Well-Known Member
Joined
Mar 17, 2017
Messages
831
Reaction score
421
Location
Moraga, CA
I have NOT found a way to get my BT300's, Mavic 2 Pro, and Litchi working together....quite frustrating, and the Moverio glasses just continue gather dust in the corner of the room....one of my top 5 in bad investments in my life....could have bought a lot of fun "stuff" that works with that loot!.....I thought I had done the homework.....shoulda waited!
Am I correct in assuming that you can get the moverios to work with your b ird and controller, but just have an issue with the Litchi app working on the Moverios?

Just because they say "not supported" does not mean it no workie....
 

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
Flycaster
After closing the Go4 app, and or starting initially with the Litchi app (without opening Go4 app first), I cannot connect the drone to the glasses with Litchi. The Litchi app says "disconnected"....

YES!!!....I totally get that...I was led to believe it worked, by someone who I found out a bit later might have had a vested interest in hyping the glasses, and they were maybe overly optimistic...
I knew I might have to fiddle with them to get them going.....but never thought I'd get to the point where I thought about giving up.
I purchased the glasses for use with Litchi being 95%+.....I really don't have much interest in using them for anything else at this time.
 

Flycaster

Well-Known Member
Joined
Mar 17, 2017
Messages
831
Reaction score
421
Location
Moraga, CA
I'm clutching here, where did you get the Litchi app from? Google Play? Does it need Google services to run?

Getting googles services to run on the Moverios basically means "rooting it" to get the services to run. Can/has been done, but it is a pain.

Did you get the "base .apk" file from Litchi themselves? Maybe not "contaminated" with the Google Services needs once an app goes into the google store...

Also, just popped into my brain, Have you tried the Litchi app without the Go4 app, (and all it's resource files/directories removed from the Moverios? Just the Litchi app on the device, no DJI anything...
 

rmatile

Member
Joined
Jul 14, 2017
Messages
21
Reaction score
5
Age
64
I'm clutching here, where did you get the Litchi app from? Google Play? Does it need Google services to run?

Getting googles services to run on the Moverios basically means "rooting it" to get the services to run. Can/has been done, but it is a pain.

Did you get the "base .apk" file from Litchi themselves? Maybe not "contaminated" with the Google Services needs once an app goes into the google store...

Also, just popped into my brain, Have you tried the Litchi app without the Go4 app, (and all it's resource files/directories removed from the Moverios? Just the Litchi app on the device, no DJI anything...
Thanks Flycaster
Before I answer all the questions, and as a side note, 7-8 months ago I did get the Litchi version I refer to below (4.3 Beta patched 1866), working just fine (with some significant fiddling around per comments below) with Moverio BT300’s, WITH Google mapping, WITH my Phantom 3 Pro. As I recall the DJI “mapping” was a major issue with DJI app for me….as the DJI mapping was inferior to the Google mapping.

I currently have Litchi installed on an IOS device (Ipad), works with my Mavic 2 Pro, no problem, like a lot of other folks. I happily paid for the app, as I love it. I am NOT at this point willing to pay for the android version until I have a high level of confidence it will work as I like…basically with my BT300’s and Mavic 2 Pro. I have not been able to find anything remotely convincing it will work this way…..but I have taken steps with the free beta version of Litchi to figure something out.

This was the process I used 9 months ago, when I got it to work with my P3P
Updated 300's to the latest firmware (1.5)
Downloaded and installed from the Epson site the DJI GO app
---see if everything works---
then
Download and Installed in this order
Google play services
Google play info
Google Play store
Maps Navigation Transport
Litchi 4.02

These were the file names
1. Google Play Store_v8.3.75.U-all [0] [FP] 173942022_apkpure.com.apk
2. google-play-services-11-7-44-032-173432861.apk
3. Maps Navigation Transport_v9.64.1_apkpure.com.apk
4. Play Services Info_v0.7_apkpure.com.apk
5. com-mod-litchi-for-dji-mavic-v4-3-0-b1866-beta-patched.1866.apk
After all this....Litchi worked with Google maps, my BT300's and my Phantom 3 Pro


Since then, I purchased the Mavic 2 Pro and
On the BT300’s I have since downloaded the Go4 app, and updated the BT300 firmware to 1.6.

I am reluctant to delete the Go4 app as it works, and I don’t want to risk re-installing, and it not working…(kinda crazy, but that’s just me), but I have force killed it before firing up the Litchi app…..
So there you go….I don't mind trying things, but don't want to "break" anything doing it....as the glasses seem to work with the DJI GO4 app at the moment.

I really appreciate the feedback, and things to try...as I do really like Litchi, AND My M2P, and would like to like the BT300's!
 

New Threads

Forum statistics

Threads
70,687
Messages
818,595
Members
97,827
Latest member
boxergirl